@import '@styles/breakpoints.scss';

.button_scroll_tot_top {
  position: fixed;
  cursor: pointer;
  overflow: hidden;
  width: 46px;
  height: 46px;
  bottom: 20px;
  left: calc(100% - 45px);
  background-color: var(--body-bg-color-primary);
  border: 2px solid var(--body-bg-color-secondary);
  border-radius: 50%;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.75);
  transform: translate(-100%, 0);
  transition: transform 0.25s ease-in-out;
  z-index: 9;

  &:after {
    content: '';
    position: absolute;
    width: 10px;
    height: 10px;
    left: 50%;
    top: 50%;
    border: 2px solid var(--body-bg-color-secondary);
    border-right-color: transparent;
    border-bottom-color: transparent;
    transform: translate(-50%, -25%) rotate(45deg);
  }

  &.mobile_type {
    left: calc(100% - 20px);
  }

  @include laptop {
    width: 58px;
    height: 58px;
  }
}
